﻿@model RailwayCashBox.Models.SearchScheduleModel

@{
    ViewBag.Title = "ЖЕЛЕЗНОДОРОЖНАЯ КАССА";
}

<div class="jumbotron">
    <h1>ЖЕЛЕЗНОДОРОЖНАЯ КАССА</h1>
    <p class="lead">Добрый день, ниже вы можете найти необходимый маршрут, используя станции вашего отправления и прибытия.</p>

</div>

@using (Html.BeginForm("Index", "Home", null, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })

    <fieldset>
        <div class="form-group">
            @Html.LabelFor(m => m.StartStationId, new { @class = "col-md-4 control-label" })
            <div class="col-md-6">
                @Html.DropDownListFor(m => m.StartStationId, new SelectList(ViewBag.Stations, "Id", "Name", Model.StartStationId), new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.StartStationId)
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.EndStationId, new { @class = "col-md-4 control-label" })
            <div class="col-md-6">
                @Html.DropDownListFor(m => m.EndStationId, new SelectList(ViewBag.Stations, "Id", "Name", Model.EndStationId), new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.EndStationId)
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.StartDate, new { @class = "col-md-4 control-label" })
            <div class="col-md-6">
                @Html.EditorFor(m => m.StartDate)
                @Html.ValidationMessageFor(model => model.StartDate)
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(m => m.EndDate, new { @class = "col-md-4 control-label" })
            <div class="col-md-6">
                @Html.EditorFor(m => m.EndDate)
                @Html.ValidationMessageFor(model => model.EndDate)
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-4 col-md-6">
                <input type="submit" value="Найти..." class="btn btn-default" />
            </div>
        </div>
    </fieldset>
}

@if (Model.TrainScheduleRecords != null)
{
    if (!Model.TrainScheduleRecords.Any())
    {
        <div class="bg-warning text-center"><h4>По заданным параметрам ничего не найдено</h4></div>
    }
    else
    {
        <table class="table">
            <tr>
                <th>
                    @Html.DisplayNameFor(model => model.TrainScheduleRecords[0].TrainRoute)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.TrainScheduleRecords[0].DepartureDate)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.TrainScheduleRecords[0].TrainRoute.StartStation.Station.Name)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.TrainScheduleRecords[0].ArrivalDate)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.TrainScheduleRecords[0].TrainRoute.EndStation.Station.Name)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.TrainScheduleRecords[0].TrainRoute.IntermediateStations)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.TrainScheduleRecords[0].SeatBookings)
                </th>
                <th>
                    Осталось мест
                </th>
                <th></th>
            </tr>

            @foreach (var item in Model.TrainScheduleRecords)
            {
                <tr>
                    <td>
                        @Html.ActionLink(item.TrainRoute.Code, "TrainRouteDetails", new { id = item.TrainRoute.Id }) 
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.DepartureDate)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.TrainRoute.StartStation.Station.Name)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.ArrivalDate)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.TrainRoute.EndStation.Station.Name)
                    </td>
                    <td>
                        @foreach (var s in item.TrainRoute.IntermediateStations)
                        {
                            @Html.DisplayFor(modelItem => s.Station.Name) <br />
                        }   
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.SeatBookings.Count)
                    </td>
                    <td>
                        @item.SeatBookings.Count(r => !r.Booked)
                    </td>
                    <td>
                        @if (Request.IsAuthenticated && User.IsInRole("user"))
                        {
                            @Html.ActionLink("Забронировать", "Book", new { id = item.Id })
                        }
                    </td>
                </tr>
            }
        </table>
    }
}
